package org.openxma.dsl.core.parsetree.reconstr;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.CrossReference;
import org.eclipse.xtext.parsetree.AbstractNode;
import org.eclipse.xtext.parsetree.reconstr.impl.CrossReferenceSerializer;
import org.openxma.dsl.core.model.Type;

public class CoreDslCrossReferenceSerializer extends CrossReferenceSerializer {

	@Override
	public String serializeCrossRef(EObject context, CrossReference grammarElement, EObject target, AbstractNode node) {
		String serializedCrossRef = super.serializeCrossRef(context, grammarElement, target, node);
		if (null == serializedCrossRef && target instanceof Type) {
			serializedCrossRef = ((Type) target).getName();
		}
		return serializedCrossRef;
	}

}
